---
updatedAt: 2026-05-21T16:39:58.000Z
---

# Retrieve the list of metadata entries.

Retrieve the list of metadata entries.<br><br><b>Entitlements:</b><br>  - manageMFAMethods (Manage second-factor authentication method configuration)<br> - readMFAMethods (Read second-factor authentication method configuration)

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "version": "1.0.0",
    "description": "Authentication",
    "title": "Authentication"
  },
  "servers": [
    {
      "url": "https://{tenanturl}",
      "variables": {
        "tenanturl": {
          "default": "{tenant_url}",
          "description": "URL of your IBM Security Verify tenant"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "FIDO Configuration"
    }
  ],
  "paths": {
    "/config/v2.0/factors/fido2/metadata": {
      "get": {
        "tags": [
          "FIDO Configuration"
        ],
        "summary": "Retrieve the list of metadata entries.",
        "description": "Retrieve the list of metadata entries.<br><br><b>Entitlements:</b><br>  - manageMFAMethods (Manage second-factor authentication method configuration)<br> - readMFAMethods (Read second-factor authentication method configuration)",
        "operationId": "list_3",
        "parameters": [
          {
            "name": "pagination",
            "in": "query",
            "description": "Controls the results that are returned in a page.<br><br>You can use the following query parameters:<br><br><b>page</b> - Use to identify the requested page, or the offset.<br><br><b>limit</b> - Use to define the total number of results that are returned per page. The maximum allowed value is 1000.<br><br>A maximum of 200 results are returned if no pagination query parameters are passed.<br><br><b>Note</b>: The pagination parameter value must be HTML encoded. Use the prefix \"pagination=\" in the query parameter.<br><br><b>Example</b>: Paginate on page=1&limit=5<br>pagination=page%3D1%26limit%3D5",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "search",
            "in": "query",
            "description": "Returns results based on the search criteria.<br><br>Valid operators for Strings are = , != and contains. Use double quotation marks for the search values.<br>Valid operators for Booleans are = and !=<br>Valid operators for Numbers are >=, >, &lt;=, &lt;, = and !=<br><br><b>Note</b>: The search parameter value must be HTML encoded. Use the prefix \"search=\" in the query parameter.<br><br><b>Example</b>: Search on id contains \"fd45\"&enabled=true<br>search=id%20contains%20%22fd45%22%26enabled%3Dtrue",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "filter",
            "in": "query",
            "description": "Displays results based on the filter criteria.<br><br>Filter values to be inclusive or exclusive only. It cannot be combined.<br><br>Use a comma (,) to separate multiple filter parameters.<br><br><b>Note</b>: The filter parameter value must be HTML encoded. Use the prefix \"filter=\" in the query parameter.<br><br><b>Examples</b><br>Filter to return only id : filter=id<br>Filter to exclude id and enabled : filter=%21id,enabled",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The list of metadata entries.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FidoAllMetadata_2.0"
                }
              }
            }
          },
          "401": {
            "description": "The unauthenticated user does not have the permissions to perform the requested operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Unauthorized_1"
                }
              }
            }
          },
          "403": {
            "description": "The authenticated user does not have the permissions to perform the requested operation",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Forbidden_2"
                }
              }
            }
          }
        },
        "x-category": "Authentication",
        "x-publicAPI": "true"
      }
    }
  },
  "components": {
    "schemas": {
      "FidoMetadata_2.0": {
        "required": [
          "category",
          "enabled",
          "id",
          "inUse",
          "metadataStatement",
          "name",
          "type"
        ],
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier of the metadata entry",
            "readOnly": true,
            "example": "1e5fa156-3754-4265-8796-1a2f0a6f036f"
          },
          "category": {
            "type": "string",
            "description": "The administrator-assigned category for the metadata entry",
            "example": "Recommended"
          },
          "name": {
            "type": "string",
            "description": "The friendly name of the metadata entry",
            "example": "Generic Key v5"
          },
          "metadataStatement": {
            "type": "string",
            "description": "The metadata statement. It is mutually exclusive with a certificate"
          },
          "type": {
            "type": "string",
            "description": "The type of the metadata statement",
            "enum": [
              "FIDO2",
              "YUBICO"
            ]
          },
          "inUse": {
            "type": "boolean",
            "description": "This metadata entry is explicitly in use by any relying party",
            "readOnly": true,
            "example": false
          },
          "enabled": {
            "type": "boolean",
            "description": "Specifies whether this metadata is entry enabled. Disabled metadata is not used, regardless of whether it is referenced by a relying party",
            "example": false
          }
        },
        "description": "A FIDO metadata document."
      },
      "FidoAllMetadata_2.0": {
        "required": [
          "metadata"
        ],
        "type": "object",
        "properties": {
          "metadata": {
            "type": "array",
            "description": "The list of FIDO metadata entries",
            "items": {
              "$ref": "#/components/schemas/FidoMetadata_2.0"
            }
          }
        },
        "description": "The list of FIDO metadata entries."
      },
      "Forbidden_2": {
        "required": [
          "messageDescription",
          "messageId"
        ],
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "The message key identifier",
            "readOnly": true,
            "example": "CSIXX1234X"
          },
          "messageDescription": {
            "type": "string",
            "description": "A requester locale-specific descriptive message",
            "readOnly": true,
            "example": "The access token included in the request is not valid"
          }
        },
        "description": "The message response to the request."
      },
      "Unauthorized_1": {
        "required": [
          "messageDescription",
          "messageId"
        ],
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "The message key identifier",
            "readOnly": true,
            "example": "CSIXX1234X"
          },
          "messageDescription": {
            "type": "string",
            "description": "A requester locale-specific descriptive message",
            "readOnly": true,
            "example": "The unauthenticated user does not have the permissions to perform the requested operation"
          }
        },
        "description": "The message response to the request."
      }
    }
  },
  "x-original-swagger-version": "2.0",
  "x-explorer-enabled": false
}
```